> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/rdm/es/ribbon-menu-bar/reports/export-reports.md).

# Exportar informes

La función ***Exportar informes*** es una manera de ejecutar y exportar informes a través de una línea de comandos. Puede utilizar esta función en un acceso directo o en un fichero por lotes y usar el programador de tareas de Windows para ejecutarla.

Podrá exportar el informe de datos, el informe de inventario, así como la mayoría de los informes que se encuentran en nuestra lista Generar informe, excepto el de Uso de contraseñas.

{% hint style="info" %}
Debe tener los permisos para ejecutar informes en Remote Desktop Manager para utilizar esta función.
{% endhint %}

### Configuración

Para los informes que contienen configuración, deberá comenzar exportando la configuración de su informe para crear el fichero `.rdr` que la línea de comandos utiliza para generar los informes. Esta es una lista de informes que contienen configuración:

1. Vaya a la cinta de opciones de Remote Desktop Manager y seleccione ***Informes – Más informes – Información de la entrada***. Haga clic en ***Exportar configuración*** en el botón de texto ***Más***. Se creará un fichero \*.rdr que contiene toda la configuración de su informe. Aquí es también donde se encuentra su ID de informe (esto será útil más adelante).
2. En el símbolo del sistema de Windows, introduzca la siguiente línea de comandos:

```powershell
C:\*** /DataSource:*** /report:***/reportoutput:"***" /reportsettings:"***.rdr"
```

<table><thead><tr><th width="150">PARÁMETROS</th><th>DESCRIPCIÓN</th></tr></thead><tbody><tr><td><strong>C:\</strong></td><td>Introduzca la ruta utilizada para iniciar su aplicación Remote Desktop Manager (ruta del fichero RemoteDesktopManager.exe)</td></tr><tr><td><strong>/DataSource</strong></td><td>Especifique el ID del espacio de trabajo.</td></tr><tr><td><strong>/report</strong></td><td>Especifique el tipo de informe que se generará o el ID del informe.</td></tr><tr><td><strong>/reportoutput</strong></td><td>Especifique la ruta para guardar su informe y el nombre del informe recién generado.</td></tr><tr><td><strong>/reportsettings</strong></td><td>Especifique la ruta de su fichero de configuración de informes (.rdr).</td></tr></tbody></table>

Para encontrar el ID de su espacio de trabajo y la línea de comandos utilizada para iniciar Remote Desktop Manager, edite una de sus sesiones de su espacio de trabajo y seleccione ***Información de la entrada***.

Esta es una lista de tipos de ***Informes*** que puede encontrar en Remote Desktop Manager y el nombre que debe introducir en la línea de comandos para generar el informe:

<table><thead><tr><th width="250">TIPO DE INFORME</th><th>NOMBRE (TIPO) DEL INFORME QUE SE DEBE INSERTAR EN LA LÍNEA DE COMANDOS</th></tr></thead><tbody><tr><td><strong>Informe de registros de actividad</strong></td><td>SharedConnectionLog</td></tr><tr><td><strong>Entrada duplicada</strong></td><td>DuplicateEntry</td></tr><tr><td><strong>Información de la entrada</strong></td><td>ConnectionInformation</td></tr><tr><td><strong>Estado de la entrada</strong></td><td>ConnectionStatus</td></tr><tr><td><strong>Lista de entradas caducadas</strong></td><td>ConnectionExpiredEntry</td></tr><tr><td><strong>Pasaportes caducados</strong></td><td>ConnectionExpiredPassport</td></tr><tr><td><strong>Software caducado</strong></td><td>ConnectionExpiredSoftware</td></tr><tr><td><strong>Garantías caducadas</strong></td><td>ConnectionExpiredWarranty</td></tr><tr><td><strong>Complejidad de contraseñas</strong></td><td>PasswordComplexity</td></tr><tr><td><strong>Grupos VPN</strong></td><td>VPNGroup</td></tr></tbody></table>

Este es un ejemplo de una línea de comandos para un informe de información de la entrada:

```powershell
C:\Program Files (x86)\Devolutions\Remote Desktop Manager\RemoteDesktopManager<area>.exe /DataSource:8a4f2f70-5e8a-4d6c-9c7b-119080a4c879 /report:EntryInformation /reportoutput:C:\dev\devolutions\Rapport\rapportEntry.csv /reportsettings:C:\dev\devolutions\Rapport\SettingsEntryInformation.rdr
```

#### Véase también

* [Devolutions Academy – Exporte sus informes desde Remote Desktop Manager](https://academy.devolutions.net/student/page/2750537-export-your-reports-from-remote-desktop-manager?curriculum_activity_id=4164539\&path_id=2628397\&sid=10ff0331-164b-4cfe-9f96-888b928524e5\&sid_i=0)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/rdm/es/ribbon-menu-bar/reports/export-reports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
